package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 查询指定资产碎片信息
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class Xuper010QuerySdsReqDto {
    /**
     * 资产id
     */
    private Long assetId;
    /**
     * 碎片id
     */
    private Long shardId;

    private static final Xuper010QuerySdsReqDto obj = new Xuper010QuerySdsReqDto();
    public static Xuper010QuerySdsReqDto getNew() {
        try {
            return (Xuper010QuerySdsReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper010QuerySdsReqDto();
        }
    }
}
